#ifndef HOTKEY_SDK
#define HOTKEY_SDK

#ifdef __cplusplus
#define EXTERN_DEC extern "C"
#else
#define EXTERN_DEC
#endif //cpluscplus

#ifdef HOTKEY_SDK_EXPORTS
#define HOTKEY_SDK_API EXTERN_DEC __declspec(dllexport)
#else
#define HOTKEY_SDK_API EXTERN_DEC __declspec(dllimport)
#endif

/**
	Init hotkey control

	@return false if failure.
*/
HOTKEY_SDK_API bool Init(int hotkey_port = 3013);
HOTKEY_SDK_API void RemoveBackGround(void);
HOTKEY_SDK_API void BeginOscMessage(void);
HOTKEY_SDK_API void StopOscMessage(void);
HOTKEY_SDK_API void BeginSimulateMouse(void);
HOTKEY_SDK_API void StopSimulateMouse(void);
HOTKEY_SDK_API void ChangeDebugMode(void);
HOTKEY_SDK_API void RegisterMultitouchWindow(HWND hwnd, int touch_type);
HOTKEY_SDK_API void ScreenConfig(void);
HOTKEY_SDK_API void TouchWinReset(void);

#define UnRegisterMultitouchWindow( WINDOWS) (RegisterMultitouchWindow( WINDOWS, 0))

#endif // HOTKEY_SDK
